# Media Collection CRUD

This is an experiment with using Rust to build a CRUD web app.

## Project Goals

* Create a practical "web app" to view / manage a collection of media, eg Movies, Video Games, Music.
* Strike a balance in Database design between a completely generic design, and a medium-specific design
* Utilize Rust as the primary implementation language
* Utilize Graphviz for design diagrams

## Non-Goals
* Single-Page App
* Full interface / Web API separation

### DB Design
![DB Design](./design/db.png)